Subject: Re: [Tools-discuss] master whitelist for ietf/irtf/etc email lists

From: Aaron Falk <[email-masked]>
Date: Thu, 9 Feb 2006 13:13:10 -0800

Brian-

There are two general classes of ietf.org mailing lists: open and  
closed membership. it seems that more heavyweight spam protection  
could be applied to closed lists (like  wgchairs, rgchairs, irsg,  
iesg, iab) while open lists (like wg lists) remain the same.  Or, to  
put it more directly, I'd like to use TMDA for the rgchairs list.   
How do I get that to happen?

--aaron

On Jan 29, 2006, at 5:13 PM, Brian E Carpenter wrote:

> Aaron,
>
> Here's a secret. There is such a whitelist, which is used to help
> with spam filtering for the secretariat ticket system (the
> addresses like ietf-action). The problem is, that list is used
> in conjunction with TMDA, and we know that quite a few people in
> the IETF don't like TMDA (because if you're not whitelisted, you get
> a one-time confirmation to process manually). Also, there are
> practical issues in mixing TMDA and mailman. Anything that checks
> a whitelist with a couple of thousand entries is a performance
> challenge, and of course a whitelist doesn't protect you against
> forgeries anyway.
>
>    Brian
>
> Aaron Falk wrote:
>> Hi-
>> I'm frustrated by the list filtering in Mailman.  The   
>> [email-masked] is often copied in IETF scheduling  
>> announcements  and discussion.  I have that list set to  
>> subscribers only since it  attracts a fair bit of spam otherwise.   
>> Now I need to check moderator  requests frequently to release  
>> messages from wgchairs list members  who are not rgchairs list  
>> members.  At first I thought all I needed  was a list of wgchairs  
>> to whitelist.  But that would need maintenance  to keep current.    
>> A more useful solution would be a 'master'  whitelist of all IETF  
>> list subscribers that would work for all IETF  lists.  It would  
>> probably need regular tending so that spam senders  didn't pollute  
>> it but tending a single white list seems a reasonable  effort.   
>> Additionally, individual list owners could maintain local   
>> blacklists.  I don't know if this is possible or easily done in   
>> Mailman but it seems like it would be quite handy.
>> --aaron
>> _______________________________________________
>> Tools-discuss mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/tools-discuss

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 10 Feb 2006 12:47:57 +0100

This is an open issue with the Secretariat. Progress is slow and until
it's been tested I don't think it is going to be on offer.

    Brian

Aaron Falk wrote:
> closed membership. it seems that more heavyweight spam protection  could 
> be applied to closed lists (like  wgchairs, rgchairs, irsg,  iesg, iab) 
> while open lists (like wg lists) remain the same.  Or, to  put it more 
> directly, I'd like to use TMDA for the rgchairs list.   How do I get 
> that to happen?
> 
> --aaron
> 
>>> [email-masked] is often copied in IETF scheduling  announcements  
>>> and discussion.  I have that list set to  subscribers only since it  
>>> attracts a fair bit of spam otherwise.   Now I need to check 
>>> moderator  requests frequently to release  messages from wgchairs 
>>> list members  who are not rgchairs list  members.  At first I thought 
>>> all I needed  was a list of wgchairs  to whitelist.  But that would 
>>> need maintenance  to keep current.    A more useful solution would be 
>>> a 'master'  whitelist of all IETF  list subscribers that would work 
>>> for all IETF  lists.  It would  probably need regular tending so that 
>>> spam senders  didn't pollute  it but tending a single white list 
>>> seems a reasonable  effort.   Additionally, individual list owners 
>>> could maintain local   blacklists.  I don't know if this is possible 
>>> or easily done in   Mailman but it seems like it would be quite handy.
>>> --aaron
> ------------------------------------------------------------------------
>